#region Debugging
if ((Get-Process -Id $PID).ProcessName -in @('powershell', 'powershell_ise') -and $host.Name.StartsWith('powerEvents') -eq $false) {
	Import-Module powerEvents

	# Uncomment when testing with a powerGateServer
	# Import-Module powergate
	# Connect-ERP -Service "http://$($env:Computername):8080/PGS/ERP/MaterialService"

	Open-VaultConnection -Server $env:Computername -Vault Vault -User Administrator -Password ""

	function Add-VaultTab($name, $EntityType, $Action) {
		Add-Type -AssemblyName PresentationFramework

		$xamlReader = New-Object System.Xml.XmlNodeReader ([xml]@'
		<Window xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
			xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
			<Window.Resources>
				<Style TargetType="{x:Type Window}">
					<Setter Property="FontFamily" Value="Segoe UI" />
					<Setter Property="Background" Value="#FFFDFDFD" />
				</Style>
			</Window.Resources>
		</Window>
'@)
		$debugERPTab_window = [Windows.Markup.XamlReader]::Load($xamlReader)
		$debugERPTab_window.Title = "powerGate Debug Window for Tab: $name"

		# Get a test file from Vault. Name must be set to a valid file in your Vault.
		$file = Get-VaultFile -Properties @{ Name = 'Part1.ipt' }
		# The file passed in InvokeReturnAsIs will be available in the Add-VaultTab function as $selectedFile
		$debugERPTab_window.AddChild($action.InvokeReturnAsIs($file))

		$debugERPTab_window.ShowDialog()
	}

	#Creating your control outside of the Add-VaultTab script allows you to use intellisense when scripting
	$test_control = [Windows.Markup.XamlReader]::Load([System.Xml.XmlNodeReader]::new([xml](Get-Content "$PSScriptRoot\TEST.xaml")))

}
#endregion


Add-VaultTab -Name 'TEST' -EntityType 'File' -Action {
	param($selectedFile)

	$test_control = [Windows.Markup.XamlReader]::Load([System.Xml.XmlNodeReader]::new([xml](Get-Content "$PSScriptRoot\TEST.xaml")))
	$test_control.DataContext = New-Object -TypeName PsObject -Property @{
		Number = 'ERP-00001'
	}

	$tbTest = $test_control.FindName("tbTest")
	$tbTest.Add_TextChanged({
			param($Sender)

			$name = $Sender.Name

		})
	return $test_control
}